Subject: Re: "in ras"

From: "Dave Washburn" <[email-masked]>
Date: Thu, 29 Aug 1996 14:41:58 -7

> At 08:03 PM 8/29/96 +0000, you wrote:
> >Hello everyone......
> >
> >I am looking for a good source (I.e., Journal article or Text) that compares
> >the Book of Chronicles with the Book of Samuel, particularly with respect to
> >the story of King David.
> >
> >Any suggestions would be appreciated.
> >
> >Joe

In English there's always the classic Harmony of Samuel, Kings and 
Chronicles by Crockett, published by Baker.  I understand that Baker 
has also published a newer such text based on the RSV.

Dave Washburn
http://www.nyx.net/~dwashbur/home.html
"Just reach out, and He'll reach in..."